# MooreSpread Class Reference

`#include <MooreSpread.H>`

Inheritance diagram for MooreSpread:

List of all members.

## Public Member Functions

| MooreSpread (int fBankCount)
| Instantiation requiring the number of filter banks.
| ~MooreSpread (void)
| Destructor.
void | setCFreq (int which, double value)
| Method for setting the centre freqs.
void | excite (double **filterBankOutput, int sampleCount, int sampleFreq)

## Public Attributes

double * | centreFreqs
| The centreFrequencies of each filter bank.

## Protected Attributes

int | bankCount
| The number of sub-bankds in the filter bank.
double * | memory
| Memory used in the operation.
double ** | spread
| The Moore/Glasberg spreading due to the filters.

## Detailed Description

Finds the Moore spreading function. First implementation for the Gamma Chirp filter bank, but possible for any perceptual filter bank. References : [1] Moore B.C.J., Glasberg B.R. (1983) ``Suggested formulae for calculating auditory-filter bandwidths and excitation patterns'', J. Acous. Soc. Am., 74, 750-753

## Member Function Documentation

void MooreSpread::excite | ( | double ** | filterBankOutput,
|  | int | sampleCount,
|  | int | sampleFreq |
| ) |  |  |

Method for finding the Moore Spread

Parameters:

  | filterBankOutput | The output of the filter bank, an array of magnitudes for each filter
  | sampleCount | The number of samples in each sub-band or filter
  | sampleFreq | The sample frequency of the time domain signal

The documentation for this class was generated from the following files:

- MooreSpread.H
- MooreSpread.cc

All Classes Files Functions Variables